Index: sansmodels/src/sans/models/c_extensions/DiamCyl.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/DiamCyl.h	(revision cabe74bf343c045ec7fcc1de8a7fdc9065ccb5cb)
+++ sansmodels/src/sans/models/c_extensions/DiamCyl.h	(revision e369627df1a0b85dc6129d8e7ee7ed8fe1db27e9)
@@ -30,9 +30,9 @@
 
 /// 1D scattering function
-double DiamCyld_analytical_1D(DiamCyldParameters *pars, double q);
+//double DiamCyld_analytical_1D(DiamCyldParameters *pars, double q);
 
 /// 2D scattering function
-double DiamCyld_analytical_2D(DiamCyldParameters *pars, double q, double phi);
-double DiamCyld_analytical_2DXY(DiamCyldParameters *pars, double qx, double qy);
+//double DiamCyld_analytical_2D(DiamCyldParameters *pars, double q, double phi);
+//double DiamCyld_analytical_2DXY(DiamCyldParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/DiamEllip.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/DiamEllip.h	(revision cabe74bf343c045ec7fcc1de8a7fdc9065ccb5cb)
+++ sansmodels/src/sans/models/c_extensions/DiamEllip.h	(revision e369627df1a0b85dc6129d8e7ee7ed8fe1db27e9)
@@ -34,9 +34,9 @@
 
 /// 1D scattering function
-double DiamEllips_analytical_1D(DiamEllipsParameters *pars, double q);
+//double DiamEllips_analytical_1D(DiamEllipsParameters *pars, double q);
 
 /// 2D scattering function
-double DiamEllips_analytical_2D(DiamEllipsParameters *pars, double q, double phi);
-double DiamEllips_analytical_2DXY(DiamEllipsParameters *pars, double qx, double qy);
+//double DiamEllips_analytical_2D(DiamEllipsParameters *pars, double q, double phi);
+//double DiamEllips_analytical_2DXY(DiamEllipsParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/Hardsphere.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/Hardsphere.h	(revision 5eb91544a3ee42b368ccec3ebcf8e95f75b020a2)
+++ sansmodels/src/sans/models/c_extensions/Hardsphere.h	(revision e369627df1a0b85dc6129d8e7ee7ed8fe1db27e9)
@@ -36,9 +36,9 @@
 
 /// 1D scattering function
-double Hardsphere_analytical_1D(HardsphereParameters *pars, double q);
+//double Hardsphere_analytical_1D(HardsphereParameters *pars, double q);
 
 /// 2D scattering function
-double Hardsphere_analytical_2D(HardsphereParameters *pars, double q, double phi);
-double Hardsphere_analytical_2DXY(HardsphereParameters *pars, double qx, double qy);
+//double Hardsphere_analytical_2D(HardsphereParameters *pars, double q, double phi);
+//double Hardsphere_analytical_2DXY(HardsphereParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/HayterMSA.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/HayterMSA.h	(revision 8b677ec179ed4330f2cd7aa10775e6423875e7ad)
+++ sansmodels/src/sans/models/c_extensions/HayterMSA.h	(revision e369627df1a0b85dc6129d8e7ee7ed8fe1db27e9)
@@ -51,9 +51,9 @@
 
 /// 1D scattering function
-double HayterMSA_analytical_1D(HayterMSAParameters *pars, double q);
+//double HayterMSA_analytical_1D(HayterMSAParameters *pars, double q);
 
 /// 2D scattering function
-double HayterMSA_analytical_2D(HayterMSAParameters *pars, double q, double phi);
-double HayterMSA_analytical_2DXY(HayterMSAParameters *pars, double qx, double qy);
+//double HayterMSA_analytical_2D(HayterMSAParameters *pars, double q, double phi);
+//double HayterMSA_analytical_2DXY(HayterMSAParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/SquareWell.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/SquareWell.h	(revision 5eb91544a3ee42b368ccec3ebcf8e95f75b020a2)
+++ sansmodels/src/sans/models/c_extensions/SquareWell.h	(revision e369627df1a0b85dc6129d8e7ee7ed8fe1db27e9)
@@ -49,9 +49,9 @@
 
 /// 1D scattering function
-double SquareWell_analytical_1D(SquareWellParameters *pars, double q);
+//double SquareWell_analytical_1D(SquareWellParameters *pars, double q);
 
 /// 2D scattering function
-double SquareWell_analytical_2D(SquareWellParameters *pars, double q, double phi);
-double SquareWell_analytical_2DXY(SquareWellParameters *pars, double qx, double qy);
+//double SquareWell_analytical_2D(SquareWellParameters *pars, double q, double phi);
+//double SquareWell_analytical_2DXY(SquareWellParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/StickyHS.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/StickyHS.h	(revision 5eb91544a3ee42b368ccec3ebcf8e95f75b020a2)
+++ sansmodels/src/sans/models/c_extensions/StickyHS.h	(revision e369627df1a0b85dc6129d8e7ee7ed8fe1db27e9)
@@ -46,9 +46,9 @@
 
 /// 1D scattering function
-double StickyHS_analytical_1D(StickyHSParameters *pars, double q);
+//double StickyHS_analytical_1D(StickyHSParameters *pars, double q);
 
 /// 2D scattering function
-double StickyHS_analytical_2D(StickyHSParameters *pars, double q, double phi);
-double StickyHS_analytical_2DXY(StickyHSParameters *pars, double qx, double qy);
+//double StickyHS_analytical_2D(StickyHSParameters *pars, double q, double phi);
+//double StickyHS_analytical_2DXY(StickyHSParameters *pars, double qx, double qy);
 
 #endif
Index: sansmodels/src/sans/models/c_extensions/polygausscoil.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/polygausscoil.h	(revision 8426622c3412a19a301bdbd7f906107e073e361b)
+++ sansmodels/src/sans/models/c_extensions/polygausscoil.h	(revision e369627df1a0b85dc6129d8e7ee7ed8fe1db27e9)
@@ -40,9 +40,9 @@
 
 /// 1D scattering function
-double polygausscoil_analytical_1D(PolyGaussCoilParameters *pars, double q);
+//double polygausscoil_analytical_1D(PolyGaussCoilParameters *pars, double q);
 
 /// 2D scattering function
-double polygausscoil_analytical_2D(PolyGaussCoilParameters *pars, double q, double phi);
-double polygausscoil_analytical_2DXY(PolyGaussCoilParameters *pars, double qx, double qy);
+//double polygausscoil_analytical_2D(PolyGaussCoilParameters *pars, double q, double phi);
+//double polygausscoil_analytical_2DXY(PolyGaussCoilParameters *pars, double qx, double qy);
 
 #endif
